%define    name   xlogical
%define    longname  XLogical
%define    majorversion   1.0
%define    subversion 8
%define    version %{majorversion}_%{subversion}
%define    sourceversion %{majorversion}-%{subversion}

%define    release %mkrel 2

Summary:   %{longname} - A puzzle game
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{sourceversion}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Patch0:    xlogical-c++-compil.patch
Group:     Games/Arcade
License: GPL
URL:        http://changeling.ixionstudios.com/xlogical/
BuildRoot: %_tmppath/%{name}-build
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel
BuildRequires: autoconf2.5

%description
XLogical is a puzzle game based on an Amiga game developed
by Rainbow Arts called Logical. It features ray-traced graphics,
music, and sound effects. The game is addictive, requiring
parallel thinking and quick reflexes.

%prep
%setup -n %{name}-%{sourceversion} -q
%patch0 -p0 -b .nanar

%build

rm -f config.* configure

aclocal-1.4
automake-1.4 -a
autoconf-2.5x

%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir

%make

%install
%makeinstall bindir=%buildroot%_gamesbindir datadir=%buildroot%_gamesdatadir

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}" \
	needs="X11" \
	section="More applications/Games/Arcade" \
	icon="%{name}.png" \
	title="%{longname}" \
	longtitle="A puzzle game" \
    xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=A puzzle game
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%files
%defattr(-,root,games)
%doc README COPYING ChangeLog AUTHORS NEWS TODO LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%dir %{_localstatedir}/%{name}
%{_localstatedir}/%{name}/xlogical.scores
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 08 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-08 14:09:17 (60632)
- fix menu (use summary macros)

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-15 13:18:07 (41284)
- fix patch to make it compil (couriousous)

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-15 02:23:02 (41281)
- 1.0-8

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-15 01:26:14 (41280)
Import xlogical

* Tue Jun 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-7.cvs20030522.4mdk
- rebuild
- fix build

* Thu Jan 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-7.cvs20030522.3mdk
- DIRM fix

* Sat Jan 03 2004 Franck Villaume <fvill@freesurf.fr> 1.0-7.cvs20030522.2mdk
- fix 64bits buildrequires
- add some SDL devel buildrequires

* Thu Dec 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-7.cvs20030522.1mdk
- strange version tag, isn't it
- mdk introduction
 

* Thu May 22 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 1.0-8.cvs20030522.1mdk
- my first xlogical package.

